<?php
session_start();
header("Access-Control-Allow-Origin: *");
require_once("./conexao.php");
$conn = conn();
$conn_s = conn_s();

$var = "sucesso";

if(empty($_POST)){
	$_POST = $_GET;
}
if (!empty($_POST['valor'])) {
	
	$response_produtos = "";
	$loja_id = $_SESSION['loja'];

	require_once("../connect_lojas/get_produtos_loja.php");
	

	
	if(!empty($response_produtos) && count($response_produtos) > 0){
		$__LOJA_STOCK = 'LOJA_'.$loja_id.'STOCK';
		
		$query_sql = "SELECT id,SQL_ICODBUS,SQL_IDESCRI,$__LOJA_STOCK FROM UNI_PRODUTOS_WEB WHERE $__LOJA_STOCK > 0 AND (SQL_IDESCRI LIKE '%".$_POST['valor']."%' OR SQL_ICODBUS LIKE '%".$_POST['valor']."%') ORDER BY SQL_IDESCRI ASC";

		$getProdutos = mysqli_query($conn_s, $query_sql);
		
		if(!empty($_GET)){ var_dump($query_sql); }
		$array = array();
		if (mysqli_num_rows($getProdutos) > 0) {
			$contador = 0;
			while ($lista = mysqli_fetch_array($getProdutos)) {
				$array['id'][$contador] = trim($lista['id']);
				$array['cod'][$contador] = trim($lista['SQL_ICODBUS']);
				$array['descricao'][$contador] = trim($lista['SQL_IDESCRI']);
				$array['estoque'][$contador] = trim($lista[$__LOJA_STOCK]);
				$contador++;
			}
		}
		$var = $array;
	} else {
		$var = false;
	}
} else {
  $var = false;
}

echo json_encode($var); 